.heading {
  text-align: center;
  $v: &;

  &__title {
    font-size: 24px;
    // font-size: 28px;
    font-weight: 600;
    color: $darkblue;
    // padding: 20px 0;
  }
  &__subtitle {
    max-width: 900px;
    margin: 0px auto 0px;
    padding: 0 20px;
    font-size: 14px;
    // font-size: 14px;
    padding: 0 3%;
    font-weight: 400;
    color: $grey;
    // margin-bottom: 40px;
      @media screen and (max-width: 780px) {
        font-size: 16px;
        padding: 0 15px;
      }
  }

  &.--background {
    #{$v}__title {
      background-color: $darkblue;
      color: $white;
      padding: 44px 0;
      font-size: 28px;

      @media screen and (max-width: 780px) {
        font-size: 30px;
      }
    }

    #{$v}__subtitle {
      margin: 20px auto 35px;
    }
  }

  &.--bluesky {
    #{$v}__title {
      background-color: $bluesky;
      color: $darkblue;
    }
  }

  &.--single {
    #{$v}__title {
      padding-bottom: 25px;
    }
  }

  &.--small {
    #{$v}__title {
      font-size: 24px;
      line-height: normal;
      @media screen and (max-width: 490px) {
        font-size: 17px;
        text-align: left;
      }
    }
    #{$v}__subtitle {
      font-size: 18px;
      @media screen and (max-width: 490px) {
        font-size: 14px;
        margin: 0;
        text-align: left;
        padding: 0;
      }
    }
  }
 
  &.--white {
    #{$v}__title,
    #{$v}__subtitle {
      color: $white;
    }
  }

  &.--left {
    text-align: left;
  }

  &.--jurnal {
    #{$v}__title {
      font-size: 22px;
      line-height: 1.2;
    }
  }
}

//untuk title kebijakan, cookie
.static {
  &--title {
    color: $violet;
    text-transform: capitalize;
  }
  &--subtitle {
    color: $violet;
    font-size: 18px;
  }
}

//transform capitalize on all heading
// h1, h2, h3, h4, h5 {
//   text-transform: capitalize !important;
// }
